| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/quaternion.h File Reference

Quaternions. More...

`#include "csextern.h"`
`#include "csqsqrt.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
class | csQuaternion
| Class for a quaternion. More...

## Detailed Description

Quaternions.

Definition in file quaternion.h.